<?php
if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}

/**
 * Custom visual composer param types
 */

class Vckit_VC_Icons {
  /**
   * Parent plugin class
   *
   * @var VCAddonsKIT
   * @since  1.0
   */
  protected $plugin = null;

  /**
   * Constructor
   *
   * @since  1.0
   * @param  VCAddonsKIT $plugin Main plugin object.
   * @return void
   */
  public function __construct( $plugin ) {
    $this->plugin = $plugin;

    add_filter( 'vc_iconpicker-type-icomoon', array( $this, 'registerIcomoon' ) );
  }


  public function registerIcomoon() {
    return icomoon_icons();
  }
}
